corda / net.corda.core.contracts / UpgradeCommand

# UpgradeCommand

`data class UpgradeCommand : CommandData`

Indicates that this transaction replaces the inputs contract state to another contract state

### Constructors

<init> | `UpgradeCommand(upgradedContractClass: Class<out UpgradedContract<*, *>>)` Indicates that this transaction replaces the inputs contract state to another contract state

### Properties

upgradedContractClass | `val upgradedContractClass: Class<out UpgradedContract<*, *>>`